## org.omg.CORBA
Class InterfaceDefSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.InterfaceDefSeqHelper

public class InterfaceDefSeqHelper
extends java.lang.Object

Helper class for : InterfaceDefSeq

Author:
  OpenORB Compiler

Constructor Summary
`InterfaceDefSeqHelper()`

Method Summary
`static InterfaceDef[]` `extract(Any a)` Extract InterfaceDefSeq from an any
`static java.lang.String` `id()` Return the InterfaceDefSeq IDL ID
`static void` `insert(Any a, InterfaceDef[] t)` Insert InterfaceDefSeq into an any
`static InterfaceDef[]` `read(InputStream istream)` Read InterfaceDefSeq from a marshalled stream
`static TypeCode` `type()` Return the InterfaceDefSeq TypeCode
`static void` `write(OutputStream ostream, InterfaceDef[] value)` Write InterfaceDefSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterfaceDefSeqHelper

    public InterfaceDefSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InterfaceDef[] t)

  Insert InterfaceDefSeq into an any
  Parameters:
    `a` - an any
    `t` - InterfaceDefSeq value

### extract

    public static InterfaceDef[] extract(Any a)

  Extract InterfaceDefSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InterfaceDefSeq value

### type

    public static TypeCode type()

  Return the InterfaceDefSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InterfaceDefSeq IDL ID
  Returns:
    an ID

### read

    public static InterfaceDef[] read(InputStream istream)

  Read InterfaceDefSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InterfaceDefSeq value

### write

    public static void write(OutputStream ostream,
                             InterfaceDef[] value)

  Write InterfaceDefSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InterfaceDefSeq value